# Uses of Class
java.nio.channels.AsynchronousChannelGroup

Packages that use AsynchronousChannelGroup
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of AsynchronousChannelGroup in java.nio.channels

Methods in java.nio.channels that return AsynchronousChannelGroup
Modifier and Type
Method
Description
`static AsynchronousChannelGroup`
AsynchronousChannelGroup.`withCachedThreadPool​(ExecutorService executor, int initialSize)`
Creates an asynchronous channel group with a given thread pool that creates new threads as needed.
`static AsynchronousChannelGroup`
AsynchronousChannelGroup.`withFixedThreadPool​(int nThreads, ThreadFactory threadFactory)`
Creates an asynchronous channel group with a fixed thread pool.
`static AsynchronousChannelGroup`
AsynchronousChannelGroup.`withThreadPool​(ExecutorService executor)`
Creates an asynchronous channel group with a given thread pool.
Methods in java.nio.channels with parameters of type AsynchronousChannelGroup
Modifier and Type
Method
Description
`static AsynchronousServerSocketChannel`
AsynchronousServerSocketChannel.`open​(AsynchronousChannelGroup group)`
Opens an asynchronous server-socket channel.
`static AsynchronousSocketChannel`
AsynchronousSocketChannel.`open​(AsynchronousChannelGroup group)`
Opens an asynchronous socket channel.

## Uses of AsynchronousChannelGroup in java.nio.channels.spi

Methods in java.nio.channels.spi that return AsynchronousChannelGroup
Modifier and Type
Method
Description
`abstract AsynchronousChannelGroup`
AsynchronousChannelProvider.`openAsynchronousChannelGroup​(int nThreads, ThreadFactory threadFactory)`
Constructs a new asynchronous channel group with a fixed thread pool.
`abstract AsynchronousChannelGroup`
AsynchronousChannelProvider.`openAsynchronousChannelGroup​(ExecutorService executor, int initialSize)`
Constructs a new asynchronous channel group with the given thread pool.
Methods in java.nio.channels.spi with parameters of type AsynchronousChannelGroup
Modifier and Type
Method
Description
`abstract AsynchronousServerSocketChannel`
AsynchronousChannelProvider.`openAsynchronousServerSocketChannel​(AsynchronousChannelGroup group)`
Opens an asynchronous server-socket channel.
`abstract AsynchronousSocketChannel`
AsynchronousChannelProvider.`openAsynchronousSocketChannel​(AsynchronousChannelGroup group)`
Opens an asynchronous socket channel.